Source: ntopng
Section: net
Priority: extra
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: autoconf,
               automake,
               libtool,
               debhelper (>= 9.0.0),
               dh-systemd (>= 1.5),
               dpkg (>= 1.15.7.2),
               coffeescript,
               libcurl4-gnutls-dev,
               libgeoip-dev,
               libhiredis-dev,
               libjson-c-dev,
               libluajit-5.1-dev [!arm64],
#               libndpi-dev (>= 1.7), # We use the embedded one for now
               libpcap-dev,
               librrd-dev,
               libsqlite3-dev,
               libzmq3-dev,
               pkg-config,
               libmysqlclient-dev,
Standards-Version: 3.9.6
Homepage: http://www.ntop.org/products/ntop/
Vcs-Git: git://anonscm.debian.org/collab-maint/ntopng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary

Package: ntopng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ntopng-data (= ${source:Version}),
 redis-server (>= 2.6)
Suggests: geoip-database-contrib (>= 1.12)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 What ntopng can do:
  * Sort network traffic according to many protocols
  * Show network traffic and IPv4/v6 active hosts
  * Store on disk persistent traffic statistics in RRD format
  * Geolocate hosts
  * Discover application protocols by leveraging on nDPI, ntop’s DPI
    framework
  * Characterise HTTP traffic by leveraging on characterisation services
    provided by block.si. ntopng comes with a demo characterisation key, but if
    you need a permanent one, please mail info@block.si
  * Show IP traffic distribution among the various protocols
  * Analyse IP traffic and sort it according to the source/destination
  * Display IP Traffic Subnet matrix (who’s talking to who?)
  * Report IP protocol usage sorted by protocol type
  * Act as a NetFlow/sFlow collector for flows generated by routers (e.g.
    Cisco and Juniper) or switches (e.g. Foundry Networks) when used together
    with nProbe
  * Produce HTML5/AJAX network traffic statistics

Package: ntopng-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, ntopng (= ${binary:Version})
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (debug symbols)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the debug symbols for the ntopng daemon.

Package: ntopng-data
Architecture: all
Depends: fonts-font-awesome,
         libjs-bootstrap,
         libjs-rickshaw,
         libjs-jquery-form,
         libjs-jquery-tablesorter,
         ${misc:Depends},
Recommends: ntopng (= ${binary:Version})
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the architecture independent files for the ntopng
 daemon.
